Package org.kapott.hbci.sepa.jaxb.camt_052_001_03

# Class PointOfInteraction1

java.lang.Object
org.kapott.hbci.sepa.jaxb.camt_052_001_03.PointOfInteraction1

public class PointOfInteraction1 extends Object

Java class for PointOfInteraction1 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="PointOfInteraction1">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Id" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.03}GenericIdentification32"/>
             <element name="SysNm" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.03}Max70Text" minOccurs="0"/>
             <element name="GrpId" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.03}Max35Text" minOccurs="0"/>
             <element name="Cpblties" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.03}PointOfInteractionCapabilities1" minOccurs="0"/>
             <element name="Cmpnt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.03}PointOfInteractionComponent1" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected List<PointOfInteractionComponent1>`
`cmpnt`
`protected PointOfInteractionCapabilities1`
`cpblties`
`protected String`
`grpId`
`protected GenericIdentification32`
`id`
`protected String`
`sysNm`

## Constructor Summary

Constructors
Constructor
Description
`PointOfInteraction1()`

## Method Summary

Modifier and Type
Method
Description
`List<PointOfInteractionComponent1>`
`getCmpnt()`
Gets the value of the cmpnt property.
`PointOfInteractionCapabilities1`
`getCpblties()`
Gets the value of the cpblties property.
`String`
`getGrpId()`
Gets the value of the grpId property.
`GenericIdentification32`
`getId()`
Gets the value of the id property.
`String`
`getSysNm()`
Gets the value of the sysNm property.
`void`
`setCpblties(PointOfInteractionCapabilities1 value)`
Sets the value of the cpblties property.
`void`
`setGrpId(String value)`
Sets the value of the grpId property.
`void`
`setId(GenericIdentification32 value)`
Sets the value of the id property.
`void`
`setSysNm(String value)`
Sets the value of the sysNm property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### id

protected GenericIdentification32 id

### sysNm

protected String sysNm

### grpId

protected String grpId

### cpblties

protected PointOfInteractionCapabilities1 cpblties

### cmpnt

protected List<PointOfInteractionComponent1> cmpnt

## Constructor Details

### PointOfInteraction1

public PointOfInteraction1()

## Method Details

### getId

public GenericIdentification32 getId()
Gets the value of the id property.

Returns:
  possible object is `GenericIdentification32`

### setId

public void setId(GenericIdentification32 value)
Sets the value of the id property.

Parameters:
  `value` - allowed object is `GenericIdentification32`

### getSysNm

public String getSysNm()
Gets the value of the sysNm property.

Returns:
  possible object is `String`

### setSysNm

public void setSysNm(String value)
Sets the value of the sysNm property.

Parameters:
  `value` - allowed object is `String`

### getGrpId

public String getGrpId()
Gets the value of the grpId property.

Returns:
  possible object is `String`

### setGrpId

public void setGrpId(String value)
Sets the value of the grpId property.

Parameters:
  `value` - allowed object is `String`

### getCpblties

public PointOfInteractionCapabilities1 getCpblties()
Gets the value of the cpblties property.

Returns:
  possible object is `PointOfInteractionCapabilities1`

### setCpblties

public void setCpblties(PointOfInteractionCapabilities1 value)
Sets the value of the cpblties property.

Parameters:
  `value` - allowed object is `PointOfInteractionCapabilities1`

### getCmpnt

public List<PointOfInteractionComponent1> getCmpnt()
Gets the value of the cmpnt property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the cmpnt property.

For example, to add a new item, do as follows:

        getCmpnt().add(newItem);

Objects of the following type(s) are allowed in the list `PointOfInteractionComponent1`